/*
 * clipsmodule.h
 *
 * common header file for CLIPS python module
 * $Id: clipsmodule.h 258 2005-05-20 22:37:00Z Franz $
 * (c) 2002-2005 - Francesco Garosi/JKS
 */

/* LICENSE INFORMATION

# (c) 2002-2004 Francesco Garosi/JKS
# The author's copyright is expressed through the following notice, thus
# giving effective rights to copy and use this software to anyone, as shown
# in the license text.
#
# NOTICE:
#  This software is released under the terms of the GNU Lesser General Public
#  license; a copy of the text has been released with this package (see file
#  _license.py, where the license text also appears), and can be found on the
#  GNU web site, at the following address:
#
#           http://www.gnu.org/copyleft/lesser.html
#
#  Please refer to the license text for any license information. This notice
#  has to be considered part of the license, and should be kept on every copy
#  integral or modified, of the source files. The removal of the reference to
#  the license will be considered an infringement of the license itself.

*/

#ifdef WIN32
#include <windows.h>
#endif

#ifndef _CLIPS_H_
#include <clips.h>
#include <prcdrfun.h>
#include <strngfun.h>
#include <factfun.h>
#include "clips_or.h"
#define _CLIPS_H_
#endif

#ifndef __PYTHON_H_CLIPS__
#include <Python.h>
#define __PYTHON_H_CLIPS__
#endif

#ifdef __cplusplus
#define PYFUNC extern "C"
#else
#define PYFUNC
#endif

#if (CLIPS_MAJOR == 6 && CLIPS_MINOR < 22)
#error "CLIPS v6.22 is required"
#endif

#include "patches.h"

#define USE_CLIPSGCLOCK
#define USE_PYTHON_MEMMGR
#define USE_TEST_DEALLOC_ENV


/* configuration: initial and default values that could be modified */
#define INITIAL_PPBUFFER_SIZE 8192      /* pretty print buffer size */
#define INITIAL_MAX_ENVIRONMENTS 256    /* maximum number of environments */


/* end */
